interactions:
- request:
    body: '{"type": "new", "email": "email@email.com", "address": {"street": "Carrer",
      "zip_code": "08001", "city": "Barcelona", "state": "C", "country": "ES"}, "lang":
      "ca_ES", "iban": "ESXXXXX", "vat": "2123", "payment_type": "single", "nationality":
      "ES", "discovery_channel_id": 2, "birthdate": "1999-09-09", "is_company": true,
      "name": "SOS Org", "company_name": "SOS Org", "gender": "other"}'
    headers:
      API-KEY:
      - '****'
      Accept:
      - application/json
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '386'
      Content-Type:
      - application/json
      User-Agent:
      - python-requests/2.25.1
    method: POST
    uri: http://odoo-sc.local:8069/api/subscription-request/create
  response:
    body:
      string: '{"id": 1122, "name": "SOS Org", "email": "email@email.com", "state":
        "draft", "date": "2021-10-06", "ordered_parts": 1, "address": {"street": "Carrer",
        "zip_code": "08001", "city": "Barcelona", "country": "ES"}, "lang": "ca_ES",
        "capital_release_request": []}'
    headers:
      Access-Control-Allow-Methods:
      - POST
      Access-Control-Allow-Origin:
      - None
      Content-Length:
      - '259'
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Wed, 06 Oct 2021 16:24:54 GMT
      Server:
      - Werkzeug/0.11.15 Python/3.7.7
      Set-Cookie: '****'
    status:
      code: 200
      message: OK
- request:
    body: '{"iban": "ESXXXXX", "lead_line_ids": [{"product_code": "SE_SC_REC_MOBILE_T_150_0",
      "type": "mobile", "mobile_isp_info": {"type": "new", "delivery_address": {"street":
      "Carrer", "city": "Barnalona", "zip_code": "08001", "state": "CA", "country":
      "ES"}}}], "subscription_request_id": 1122}'
    headers:
      API-KEY:
      - '****'
      Accept:
      - application/json
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '287'
      Content-Type:
      - application/json
      User-Agent:
      - python-requests/2.25.1
    method: POST
    uri: http://odoo-sc.local:8069/api/crm-lead/create
  response:
    body:
      string: '{"id": 2756}'
    headers:
      Access-Control-Allow-Methods:
      - POST
      Access-Control-Allow-Origin:
      - None
      Content-Length:
      - '12'
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Wed, 06 Oct 2021 16:24:54 GMT
      Server:
      - Werkzeug/0.11.15 Python/3.7.7
      Set-Cookie: '****'
    status:
      code: 200
      message: OK
version: 1
